
Installer - Refactor #24803

Tracker # 24799 (Resolved): [tracker] Remove settings to disable taxonomies and login

remove taxonomy and login options from installer

09/04/2018 10:52 AM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Foreman modules   

Target version: 1.24.0   

Difficulty:  Fixed in Releases: 1.24.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Subtasks:

Refactor # 25496: Remove :login setting Rejected

Refactor # 25785: Change installer default to enable taxonomies Rejected

Refactor # 25787: make taxonomy and login settings optional Closed

Associated revisions

Revision 5a11950a - 08/09/2019 01:17 PM - Ewoud Kohl van Wijngaarden

Drop compatibility with Foreman 1.20 and older

History

#1 - 09/04/2018 10:53 AM - Tomer Brisker

- Project changed from Foreman to Installer

- Category deleted (Settings)

#2 - 01/06/2019 11:48 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Tomer Brisker

- Pull request https://github.com/theforeman/puppet-foreman/pull/706 added

#3 - 01/06/2019 11:49 AM - Tomer Brisker

- Pull request deleted (https://github.com/theforeman/puppet-foreman/pull/706)

#4 - 04/11/2019 04:25 PM - Ewoud Kohl van Wijngaarden

- Category set to Foreman modules

- Status changed from Ready For Testing to New

- Target version set to 1.22.0

#5 - 06/03/2019 10:48 AM - Tomer Brisker

- Target version changed from 1.22.0 to 1.22.1

#6 - 08/26/2019 01:06 PM - Tomer Brisker

implemented in: https://github.com/theforeman/puppet-foreman/commit/5a11950a334ddb3caac4e16002789b5448702da6

requires release of 12.3 and version bump in installer

#7 - 08/27/2019 07:22 AM - Tomer Brisker
https://github.com/theforeman/puppet-foreman/commit/5a11950a334ddb3caac4e16002789b5448702da6


- Target version changed from 1.22.1 to 1.24.0

#8 - 10/30/2019 02:07 PM - Tomer Brisker

- Status changed from New to Closed

- Fixed in Releases 1.24.0 added

1.24 installer includes the change in the foreman module - 

https://github.com/theforeman/foreman-installer/commit/41b0aa22cfcebb76d3b797f98a421f5995f7a3c3#diff-53e02589c79aa03f1974d2c3012523e2R
